/*-- GENERAL --*/
html {
	scroll-behavior: smooth;
	background: url('../images/background-body.png') top left repeat #ffc210;
	background-size: 15px 15px;
}
:root {
	--space: 40px;
	--primary: #000000;
	--secondary: #fcdb03;
	--text: #000000;
	--fontxl: 64px;
	--fontl: 32px;
	--fontm: 24px;
	--fonts: 16px;
	--fontxs: 12px;
	--radius: 4px;
}
@font-face {
	font-family: 'gibsonlight';
	src: url('../fonts/gibson-light.woff2') format('woff2'),
		 url('../fonts/gibson-light.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}
@font-face {
	font-family: 'gibsonbold';
	src: url('../fonts/gibson-bold.woff2') format('woff2'),
		 url('../fonts/gibson-bold.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}
body {
	display: block;
	margin: var(--space) auto;
	padding: 0;
}

/*-- MAIN --*/
#main {
	font-family: 'gibsonlight';
	width: calc(100% - calc(var(--space) * 2) - 8px);
	max-width: 800px;
	display: block;
	margin: var(--space) auto;
	padding: 0;
	clear: both;
	border: 3px solid var(--primary);
	border-radius: var(--radius);
	background-color: #ffffff;
}
header {
	width: 100%;
	height: auto;
	display: block;
	margin: 0;
	padding: 0;
	clear: both;
	border-bottom: 1px solid var(--primary);
}
nav {
	width: 100%;
	height: auto;
	display: block;
	border-bottom: 1px solid var(--primary);
}
article {
	width: 100%;
	display: block;
	float: left;
	padding: 0;
	margin: 0;
}
section {
	width: 100%;
	display: block;
	float: left;
	padding: 0;
}
footer {
	width: 100%;
	display: block;
	float: left;
	line-height: 150%;
}
.break {
	width: 100%;
	height: calc(var(--space) / 4);
	display: block;
	float: left;
	background: url('../images/background.png') left top repeat;
	background-size: 10px;
	border-bottom: 1px solid var(--primary);
}
.border-bottom {
	width: 100%;
	height: 0px;
	display: block;
	float: left;
	border-bottom: 1px solid var(--primary);
}
.clear {
	clear: both;
}
.half-body {
	width: 640px;
	max-width: (50% - calc(var(--space) * 2) - 8px);
}

	@media only screen and (max-width: 768px) {
	.half-body {
		max-width: calc(100% - calc(var(--space) * 2) - 8px);
		width: calc(100% - calc(var(--space) * 2) - 8px);
	}
	nav {
		border-bottom: none;
	}}

/*-- MAIN NAVIGATION --*/
.navigation-item {
	width: calc(25% - 1px);
	height: auto;
	display: block;
	float: right;
	margin: 0;
	padding: calc(var(--space) / 2) 0;
	line-height: calc(var(--space) / 2);
	border-right: 1px solid var(--primary);
	text-align: center;
	font-family: "Tektur", sans-serif;
	font-weight: 600;
	letter-spacing: 1px;
	color: var(--space);
	font-size: var(--fonts);
	text-transform: uppercase;
}
.navigation-item-last {
	width: 25%;
	border-right: 0px;
}
a .navigation-item {
	color: var(--primary);
}
a .navigation-item:hover {
	background-color: var(--primary);
	color: #ffffff;
}
#newvendor #navfour,
#admin-giveaways #navone,
#admin-vendors #navtwo {
	background-color: var(--primary);
	color: #ffffff;
}


/*-- TOP SOCIAL ICONS --*/
.social-icon {
	width: var(--space);
	height: var(--space);
	display: block;
	float: left;
	margin: var(--space) calc(var(--space) / 4) 0 0;
	background-color: var(--primary);
	border-radius: var(--radius);
}
.social-icon-first {
	width: var(--space);
	height: var(--space);
	display: block;
	float: right;
	margin: var(--space) var(--space) var(--space) calc(var(--space) / 4);
	background-color: var(--primary);
	border-radius: var(--radius);
}
.social-image {
	width: calc(var(--space) / 2);
	height: calc(var(--space) / 2);
	margin: calc(var(--space) / 4);
}

/*-- LINKS SOCIAL BUTTONS --*/
.social-button {
	width: calc(100% - calc(var(--space) * 2));
	height: calc(var(--space) * 2);
	background-color: var(--primary);
	border: none;
	border-radius: var(--radius);
	margin: 0 0 calc(var(--space) / 4) 0;
	padding: 0 var(--space);
	font-family: "Tektur", sans-serif;
	font-size: var(--fonts);
	line-height: calc(var(--space) * 2);
	text-align: center;
	text-decoration: none;
	letter-spacing: 1px;
	text-transform: uppercase;
	color: #ffffff;
}
.social-button-last {
	margin: 0;
}

/*-- SCROLL BAR--*/
.scroll {
	width: 100%;
	height: calc(calc(var(--space) / 2) * 3);
	display: block;
	float: left;
	overflow: hidden;
	line-height: calc(calc(var(--space) / 2) * 3);
	padding: 0;
	border-bottom: 1px solid var(--primary);
	background-color: #ffffff;
}
.scroll-text {
	top: 0;
	left: 100%;
	width: 100%;
	overflow: hidden;
	position: relative;
	white-space: nowrap;
	animation: scroll-text 20s linear infinite;
	font-size: var(--fonts);
	color: var(--text);
	font-family: 'gibsonbold';
	text-transform: uppercase;
	letter-spacing: 0.5px;
	
}
@keyframes scroll-text {
	0% { left: 100%; }
	100% { left: -100% }
}

/*-- CATEGORY NAVIGATION --*/
.category-item {
	width: 100%;
	height: auto;
	display: block;
	float: right;
	margin: 0;
	padding: calc(var(--space) / 2) 0;
	line-height: calc(var(--space) / 2);
	border-top: 1px solid var(--primary);
	border-bottom: 1px solid var(--primary);
	text-align: center;
	font-family: "Tektur", sans-serif;
	font-weight: 600;
	letter-spacing: 1px;
	color: var(--space);
	font-size: var(--fonts);
	text-transform: uppercase;
}
a .category-item {
	color: var(--primary);
}
.column-25:hover a .category-item {
	background-color: var(--primary);
	color: #ffffff;
}
.column-25:hover a .poster {
	filter: grayscale(0%);
}

/*-- COLUMN 25 --*/
.column-25 {
	width: calc(25% - 1px);
	display: block;
	float: left;
	margin: 0;
	background-color: white;
	border-right: 1px solid var(--primary);
}
.column-25:nth-of-type(4n) {
	width: calc(25% - 1px);
	border-right: 1px solid #ffffff;
}

	@media only screen and (max-width: 768px) {
	.column-25 {
		width: calc(50% - 1px);
	}
	.column-25:nth-of-type(2n),
	.column-25:nth-of-type(4n) {
		width: calc(50% - 1px);
		border-right: 1px solid gray;
	}}

/*-- COLUMN 50 --*/
.column-50 {
	width: calc(50% - calc(var(--space) * 2) - 1px);
	display: block;
	float: left;
	padding: var(--space);
	border-right: 1px solid var(--primary);
	border-bottom: none;
	background-color: white;
}
.column-50:nth-of-type(2n) {
	width: calc(50% - calc(var(--space) * 2) - 1px);
	display: block;
	float: left;
	padding: var(--space);
	border-right: none;
	background-color:white;
}

	@media only screen and (max-width: 768px) {
	.column-50 {
		width: calc(100% - calc(var(--space) * 2) - 1px);
		margin: 0;
		border-right: none;
		border-bottom: 1px solid var(--primary);
	}
	.column-50:nth-of-type(2n) {
		border-bottom: none;
		width: calc(100% - calc(var(--space) * 2) - 1px);
	}}

/*-- COLUMN 100 --*/
.column-100 {
	width: calc(100% - calc(var(--space) * 2));
	display: block;
	float: left;
	padding: var(--space);
	background-color: white;
}

/*-- COLUMN OTHER --*/
.column-space {
	width: calc(100% - calc(var(--space) * 2));
	height: auto;
	display: block;
	float: left;
	margin: var(--space);
}

/*-- FONTS --*/
H1 {
	font-family: "Tektur", sans-serif;
	font-size: var(--fontl);
	line-height: 120%;
	letter-spacing: 1px;
	color: var(--text);
	text-align: center;
	margin: 0 0 calc(var(--space) / 3) 0;
	padding: 0;
}
H2 {
	display: block;
	float: left;
	font-family: 'gibsonbold';
	font-size: var(--fontm);
	line-height: 100%;
	color: var(--text);
	margin: 0 0 var(--space) 0;
	padding: 0;
}
H3 {
	font-family: "Tektur", sans-serif;
	font-size: var(--fontm);
	line-height: 100%;
	letter-spacing: 1px;
	color: var(--text);
	margin: 0 0 var(--space) 0;
	padding: 0;
	text-align: center;
}
p {
	font-family: 'gibsonlight';
	font-size: var(--fonts);
	line-height: 150%;
	color: var(--text);
	margin: 0 0 calc(var(--space) /2) 0;
}
p:last-of-type {
	margin: 0;
}
b {
	font-family: 'gibsonbold';
}
.center {
	text-align: center;
}
ul {
	margin: var(--space) 0 0 0;
	padding: 0;
	list-style: none;
}
li {
	width: calc(100% - 50px);
	height: auto;
	display: block;
	float: left;
	background: url('../images/check.png') left 3px no-repeat;
	background-size: 15px 15px;
	padding-left: 35px;
	margin-bottom: calc(var(--space) / 4);
	font-family: 'gibsonlight';
	font-size: var(--fonts);
	line-height: 150%;
	color: var(--text);
}

	@media only screen and (max-width: 768px) {
	H1, H2, H3 {
		display: none;
	}
	.title {
		font-size: 42px;
	}}

/*-- FOOTER --*/
.footer-item {
	font-family: 'gibsonlight';
	font-size: var(--fontxs);
	line-height: 150%;
	color: var(--text);
	margin: 0;
	padding: 20px;
	text-align: center;
}
.footer-space {
	width: 100%;
	height: var(--space);
	display: block;
	float: left;
}

/*-- LINKS --*/
p a,
ul li a {
	text-decoration: none;
	color: var(--primary);
	font-family: 'gibsonbold';
	border-bottom: 1px dashed var(--primary);
}
p a:hover,
ul li a:hover {
	color: var(--primary);
}
a {
	text-decoration: none;
}

/*-- IMAGES --*/
img {
	border: 0;
}
.logo {
	height: auto;
	width: 300px;
	display: block;
	margin: calc(var(--space) * 2) auto;
}
.logo-mobile-navigation {
	height: var(--space);
	width: auto;
	display: block;
	float: left;
	margin: 0 0 var(--space) 0;
}
.logo-center {
	height: var(--space);
	width: 185px;
	position: relative;
	left: calc(50% - 92px);
	margin: var(--space) 0;
}
.logo-footer {
	width: auto;
	height: calc(var(--space) / 2);
	display: block;
	float: left;
	margin: 0 0 calc(var(--space) / 2) 0;
}
.poster {
	width: 100%;
	height: auto;
	display: block;
	float: left;
	filter: grayscale(100%);
	background: rgba(0, 0, 0, 0.5)
}
.poster:hover {
	filter: grayscale(0%);
}
.square-poster {
	width: calc(100% - 2px);
	height: auto;
	display: block;
	float: left;
	border: 1px solid var(--primary);
	border-radius: var(--radius);
}
.qrcode {
	width: 200px;
	height: 200px;
	display: block;
	float: left;
	margin: var(--space) 0 0 calc(50% - 100px);
}

	@media only screen and (max-width: 768px) {
	.logo {
		height: auto;
		width: 300px;
		display: block;
		margin: var(--space) auto;
	}}

/*-- FORM BASICS --*/
input:focus,
select:focus,
textarea:focus,
button:focus {
	outline: none;
}
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  opacity: 0;
}
/*-- VALIDATE --*/	
input:required:focus:valid,
input:required:valid,
textarea:required:focus:valid,
textarea:required:valid {
	background: url('../images/check.png') calc(100% - 20px) center no-repeat;
	background-size: calc(var(--space) / 2) calc(var(--space) / 2);
}

/*-- FORM RESPONSE --*/
.form-alert {
	width: auto;
	height: var(--space);
	display: block;
	float: left;
	margin: 0 0 calc(var(--space) / 2) 0;
	padding: 0 calc(var(--space) / 2);
	background-color: var(--primary);
	font-size: var(--fonts);
	line-height: var(--space);
	color: #ffffff;
	border-radius: var(--radius);
}

/*-- FORM INPUT --*/
input {
	width: 100%;
	height: calc(var(--space) * 2);
	display: block;
	float: left;
	margin: 0 0 calc(var(--space) / 2) 0;
	padding: 0 calc(var(--space) / 2);
	border: 1px solid var(--primary);
	border-radius: var(--radius);
	box-sizing: border-box;
	font-family: 'gibsonlight';
	font-size: var(--fonts);
	color: var(--text);
}

/*-- FORM SUBMIT --*/
input[type=submit] {
	width: auto;
	background-color: var(--primary);
	border: none;
	border-radius: var(--radius);
	margin: 0;
	padding: 0 var(--space);
	font-family: 'gibsonbold';
	letter-spacing: 1px;
	font-size: var(--fonts);
	text-transform: uppercase;
	color: #ffffff;
}

	@media only screen and (max-width: 768px) {
	input[type=submit] {
		width: 100%;
	}}

/*-- FILE UPLOAD --*/
input[type=file] {
	visibility: hidden;
	display: block;
	float: left;
	width: 0px;
	height: 0px;
	margin: 0;
	padding: 0;
}
label {
	width: calc(var(--space) * 2);
	height: calc(var(--space) * 2);
	display: block;
	float: left;
	margin: 0 0 calc(var(--space) / 2) 0;
	padding: 0 calc(var(--space) / 2);
	border: 1px solid var(--primary);
	border-radius: var(--radius);
	box-sizing: border-box;
	font-family: 'gibsonlight';
	font-size: var(--fonts);
	color: var(--text);
	background: url('../admin/images/camera.png') center center no-repeat;
	background-size: var(--space) auto;
}

/*-- CHECKBOX --*/
input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: calc(var(--space) - 2px);
  height: calc(var(--space) - 2px);
  border: 1px solid var(--primary);
  border-radius: var(--radius);
  cursor: pointer;
  position: relative;
  outline: none;
}
input[type="checkbox"]:checked {
  background: url('../admin/images/checked.png') center center no-repeat var(--primary);
  background-size: calc(var(--space) / 2) calc(var(--space) / 2);
}
.checkbox-label {
	width: auto;
	height: var(--space);
	display: block;
	float: left;
	margin-left: calc(var(--space) / 2);
	padding: 0;
	font-family: 'gibsonbold';
	font-size: var(--fonts);
	color: var(--primary);
	line-height: 34px;
}

/*-- TEXTAREA --*/
textarea {
	width: 100%;
	min-width: 100%;
	max-width: 100%;
	height: auto;
	min-height: calc(var(--space) * 4);
	display: block;
	float: left;
	margin: 0 0 calc(var(--space) / 2) 0;
	padding: calc(var(--space) / 2);
	border: 1px solid var(--primary);
	border-radius: var(--radius);
	box-sizing: border-box;
	font-family: 'gibsonlight';
	font-size: var(--fonts);
	color: var(--primary);
}

/*----- DROP DOWNS -----*/
select {
	width: 100%;
	height: calc(var(--space) * 2);
	margin: 0;
	padding: 0;
}
.styled-select select {
	width: 100%;
	height: calc(var(--space) * 2);
	margin: 0;
	border: none;
	font-family: 'gibsonlight';
	font-size: var(--fonts);
	color: var(--primary);
	background: transparent;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-appearance: none;
}
.styled-select {
	width: auto;
	width: 100%;
	height: calc(var(--space) * 2);
	display: block;
	float: left;
	margin: 0 0 calc(var(--space) / 2) 0;
	padding: 0 calc(var(--space) / 2);
	overflow: hidden;
	border: 1px solid var(--primary);
	border-radius: var(--radius);
	background: url('../admin/images/down-arrow.png') calc(100% - 20px) center no-repeat;
	background-size: calc(var(--space) / 2) calc(var(--space) / 2);
	font-size: var(--fonts);
	color: var(--primary);
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-appearance: none;
}
	
	@-moz-document url-prefix() {
	.styled-select select {
		height: var(--space);
		background-color: #ffffff;
		border: none;
		padding: 20px 20px 0 20px;
	}
	.styled-select {
		width: calc(100% - 120px);
		height: 50px;
		margin: 0 0 10px 0;
		background-color: #fff;
		border-radius: 4px;
		vertical-align: middle;
		line-height: 10px;
	}}

/*-- ADMIN AREA --*/

/*-- ROWS --*/
.admin-row {
	width: 100%;
	height: auto;
	display: block;
	float: left;
	margin: 0 0 calc(var(--space) / 2) 0;
	padding: 0;
	background-color: white;
	border: 1px solid var(--primary);
	border-radius: var(--radius);
	font-family: 'gibsonlight';
	font-size: var(--fonts);
	color: var(--primary);
	line-height: calc(var(--space) * 2);
	text-decoration: none;
}
#row-box .admin-row:last-of-type {
	margin: 0;
}
.admin-row a {
	color: var(--primary);
	text-decoration: none;
}

/*-- MAIN --*/
.main-info {
	width: auto;
	height: calc(var(--space) * 2);
	display: block;
	float: left;
	margin: 0 calc(var(--space) / 2);
	font-size: var(--fonts);
	color:var(--primary);
	line-height: calc(var(--space) * 2);
}

/*-- GIVEAWAYS --*/
.giveaway-image {
	width: calc(var(--space) * 2);
	height: calc(var(--space) * 2);
	display: block;
	float: left;
	border-right: 1px solid var(--primary);
	margin-right: calc(var(--space) / 2);
}
.giveaway-image-edit {
	width: calc(calc(var(--space) * 2) - 2px);
	height: calc(calc(var(--space) * 2) - 2px);
	display: block;
	float: left;
	border: 1px solid var(--primary);
	border-radius: var(--radius);
	margin-left: calc(var(--space) / 2);
}
.giveaway-date {
	width: auto;
	height: var(--space);
	display: block;
	float: right;
	margin: 0 calc(var(--space) / 2);
	font-size: var(--fonts);
	color: darkgray;
	line-height: calc(var(--space) * 2);
}
.giveaway-entry {
	width: auto;
	height: var(--space);
	display: block;
	float: left;
	margin: 0 calc(var(--space) / 4) calc(var(--space) / 4) 0;
	padding: 0 calc(var(--space) / 2);
	background-color: lightgray;
	font-size: var(--fonts);
	line-height: var(--space);
	text-transform: capitalize;
	color: #ffffff;
	border-radius: var(--radius);
}

/*-- ACTION BUTTONS --*/
.action-button {
	width: var(--space);
	height: var(--space);
	display: block;
	float: right;
	margin: 0 0 0 calc(var(--space) / 4);
	background-color: var(--primary);
	border-radius: 2px;
}
.action-image {
	width: calc(var(--space) / 2);
	height: calc(var(--space) / 2);
	margin: calc(var(--space) / 4);
}